Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.configuration.source
Class JdbcMetadataSourceSaxHandlerFactory

    java.lang.Object
      org.apache.torque.generator.configuration.source.JdbcMetadataSourceSaxHandlerFactory

All Implemented Interfaces:
  SourceSaxHandlerFactory

    public class JdbcMetadataSourceSaxHandlerFactory

extends Object
implements SourceSaxHandlerFactory

A Factory which creates a SAX handler for sources from JDBC Metadata.

Version:
  $Id: JdbcMetadataSourceSaxHandlerFactory.java 1331190 2012-04-27 02:41:35Z tfischer $

Constructor Summary
`JdbcMetadataSourceSaxHandlerFactory()`

Method Summary
`SourceSaxHandler` | `getSourceSaxHandler(ConfigurationProvider configurationProvider, ProjectPaths projectPaths, ConfigurationHandlers configurationHandlers)` Returns a JdbcMetadataSourceSaxHandler for reading the configuration of JDBC metadata sources.
`String` | `getType()` Returns the source type which can be handled by the JdbcMetadataSourceSaxHandler created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JdbcMetadataSourceSaxHandlerFactory

    public JdbcMetadataSourceSaxHandlerFactory()

Method Detail

### getType

    public String getType()

  Returns the source type which can be handled by the JdbcMetadataSourceSaxHandler created by this factory.

  Specified by:
    `getType` in interface `SourceSaxHandlerFactory`
  Returns:
    "jdbcMetadataSource".

### getSourceSaxHandler

    public final SourceSaxHandler getSourceSaxHandler(ConfigurationProvider configurationProvider,
                                                      ProjectPaths projectPaths,
                                                      ConfigurationHandlers configurationHandlers)

  Returns a JdbcMetadataSourceSaxHandler for reading the configuration of JDBC metadata sources.

  Specified by:
    `getSourceSaxHandler` in interface `SourceSaxHandlerFactory`
  Parameters:
    `configurationProvider` - The access object for the configuration files, not null.
    `projectPaths` - The paths of the surrounding project, not null.
    `configurationHandlers` - All known configuration handlers, not null.
  Returns:
    a new FileSourcesSaxHandlers.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.